This is an automated email from the ASF dual-hosted git repository.

olli pushed a commit to branch feature/oak-1.8
in repository 
https://gitbox.apache.org/repos/asf/sling-org-apache-sling-testing-paxexam.git

commit b3c3c1ab55936bb5e37f028eda4fa6b31c48d59b
Author: Oliver Lietz <o...@apache.org>
AuthorDate: Mon Jan 29 15:36:23 2018 +0100

    SLING-7080 Update options and versions to latest features
    
    use latest releases and releases under vote
---
 .../apache/sling/testing/paxexam/SlingOptions.java |  1 +
 .../testing/paxexam/SlingVersionResolver.java      | 30 +++++++++++-----------
 2 files changed, 16 insertions(+), 15 deletions(-)

diff --git a/src/main/java/org/apache/sling/testing/paxexam/SlingOptions.java 
b/src/main/java/org/apache/sling/testing/paxexam/SlingOptions.java
index 320bc98..c349835 100644
--- a/src/main/java/org/apache/sling/testing/paxexam/SlingOptions.java
+++ b/src/main/java/org/apache/sling/testing/paxexam/SlingOptions.java
@@ -403,6 +403,7 @@ public class SlingOptions {
             sling(),
             jackrabbit(),
             slingEvent(),
+            slingModels(),
             slingQuery(),
             
mavenBundle().groupId("org.apache.sling").artifactId("org.apache.sling.pipes").version(versionResolver)
         );
diff --git 
a/src/main/java/org/apache/sling/testing/paxexam/SlingVersionResolver.java 
b/src/main/java/org/apache/sling/testing/paxexam/SlingVersionResolver.java
index 3490eb0..863acbe 100644
--- a/src/main/java/org/apache/sling/testing/paxexam/SlingVersionResolver.java
+++ b/src/main/java/org/apache/sling/testing/paxexam/SlingVersionResolver.java
@@ -66,9 +66,9 @@ public class SlingVersionResolver implements VersionResolver {
         versions.put("com.composum.sling.core:composum-sling-core-jslibs", 
"1.8.2");
         versions.put("com.composum.sling.core:composum-sling-package-manager", 
"1.8.2");
         versions.put("com.composum.sling.core:composum-sling-user-management", 
"1.8.2");
-        versions.put("com.fasterxml.jackson.core:jackson-annotations", 
"2.9.3");
-        versions.put("com.fasterxml.jackson.core:jackson-core", "2.9.3");
-        versions.put("com.fasterxml.jackson.core:jackson-databind", "2.9.3");
+        versions.put("com.fasterxml.jackson.core:jackson-annotations", 
"2.9.4");
+        versions.put("com.fasterxml.jackson.core:jackson-core", "2.9.4");
+        versions.put("com.fasterxml.jackson.core:jackson-databind", "2.9.4");
         versions.put("com.google.guava:guava", "15.0");
         versions.put("com.h2database:h2-mvstore", "1.4.196");
         versions.put("com.sun.mail:javax.mail", "1.6.0");
@@ -97,8 +97,8 @@ public class SlingVersionResolver implements VersionResolver {
         
versions.put("org.apache.geronimo.specs:geronimo-interceptor_1.1_spec", "1.0");
         versions.put("org.apache.geronimo.specs:geronimo-jcdi_1.0_spec", 
"1.0");
         versions.put("org.apache.geronimo.specs:geronimo-jta_1.1_spec", 
"1.1.1");
-        versions.put("org.apache.httpcomponents:httpclient-osgi", "4.5.4");
-        versions.put("org.apache.httpcomponents:httpcore-osgi", "4.4.8");
+        versions.put("org.apache.httpcomponents:httpclient-osgi", "4.5.5");
+        versions.put("org.apache.httpcomponents:httpcore-osgi", "4.4.9");
         versions.put("org.apache.jackrabbit:jackrabbit-api", "2.16.0");
         versions.put("org.apache.jackrabbit:jackrabbit-data", "2.16.0");
         versions.put("org.apache.jackrabbit:jackrabbit-jcr-commons", "2.16.0");
@@ -132,7 +132,7 @@ public class SlingVersionResolver implements 
VersionResolver {
         versions.put("org.apache.sling:org.apache.sling.auth.selector", 
"1.0.6");
         versions.put("org.apache.sling:org.apache.sling.bundleresource.impl", 
"2.3.0");
         versions.put("org.apache.sling:org.apache.sling.commons.classloader", 
"1.4.2");
-        versions.put("org.apache.sling:org.apache.sling.commons.compiler", 
"2.3.4");
+        versions.put("org.apache.sling:org.apache.sling.commons.compiler", 
"2.3.6");
         
versions.put("org.apache.sling:org.apache.sling.commons.fsclassloader", 
"1.0.8");
         versions.put("org.apache.sling:org.apache.sling.commons.html", 
"1.0.0");
         versions.put("org.apache.sling:org.apache.sling.commons.johnzon", 
"1.1.0");
@@ -140,7 +140,7 @@ public class SlingVersionResolver implements 
VersionResolver {
         versions.put("org.apache.sling:org.apache.sling.commons.mime", 
"2.1.10");
         versions.put("org.apache.sling:org.apache.sling.commons.osgi", 
"2.4.0");
         versions.put("org.apache.sling:org.apache.sling.commons.scheduler", 
"2.7.2");
-        versions.put("org.apache.sling:org.apache.sling.commons.threads", 
"3.2.10");
+        versions.put("org.apache.sling:org.apache.sling.commons.threads", 
"3.2.16");
         versions.put("org.apache.sling:org.apache.sling.discovery.api", 
"1.0.4");
         versions.put("org.apache.sling:org.apache.sling.discovery.base", 
"2.0.4");
         versions.put("org.apache.sling:org.apache.sling.discovery.commons", 
"1.0.20");
@@ -155,12 +155,12 @@ public class SlingVersionResolver implements 
VersionResolver {
         versions.put("org.apache.sling:org.apache.sling.event.dea", "1.1.2");
         
versions.put("org.apache.sling:org.apache.sling.extensions.threaddump", 
"0.2.2");
         versions.put("org.apache.sling:org.apache.sling.featureflags", 
"1.2.2");
-        versions.put("org.apache.sling:org.apache.sling.fsresource", "2.1.6");
+        versions.put("org.apache.sling:org.apache.sling.fsresource", "2.1.10");
         versions.put("org.apache.sling:org.apache.sling.hc.api", "1.0.2");
         versions.put("org.apache.sling:org.apache.sling.hc.core", "1.2.10");
         versions.put("org.apache.sling:org.apache.sling.hc.support", "1.0.4");
         versions.put("org.apache.sling:org.apache.sling.hc.webconsole", 
"1.1.2");
-        versions.put("org.apache.sling:org.apache.sling.i18n", "2.5.10");
+        versions.put("org.apache.sling:org.apache.sling.i18n", "2.5.12");
         versions.put("org.apache.sling:org.apache.sling.installer.console", 
"1.0.2");
         versions.put("org.apache.sling:org.apache.sling.installer.core", 
"3.8.10");
         
versions.put("org.apache.sling:org.apache.sling.installer.factory.configuration",
 "1.1.2");
@@ -190,14 +190,14 @@ public class SlingVersionResolver implements 
VersionResolver {
         
versions.put("org.apache.sling:org.apache.sling.nosql.couchbase-resourceprovider",
 "1.1.0");
         versions.put("org.apache.sling:org.apache.sling.nosql.generic", 
"1.1.0");
         
versions.put("org.apache.sling:org.apache.sling.nosql.mongodb-resourceprovider",
 "1.1.0");
-        versions.put("org.apache.sling:org.apache.sling.pipes", "1.1.0");
+        versions.put("org.apache.sling:org.apache.sling.pipes", "2.0.0");
         versions.put("org.apache.sling:org.apache.sling.provisioning.model", 
"1.8.4");
-        versions.put("org.apache.sling:org.apache.sling.query", "3.0.0");
+        versions.put("org.apache.sling:org.apache.sling.query", "4.0.0");
         versions.put("org.apache.sling:org.apache.sling.repoinit.parser", 
"1.2.0");
         versions.put("org.apache.sling:org.apache.sling.resource.inventory", 
"1.0.8");
         versions.put("org.apache.sling:org.apache.sling.resource.presence", 
"0.0.2");
-        versions.put("org.apache.sling:org.apache.sling.resourcemerger", 
"1.3.4");
-        versions.put("org.apache.sling:org.apache.sling.resourceresolver", 
"1.5.32");
+        versions.put("org.apache.sling:org.apache.sling.resourcemerger", 
"1.3.8");
+        versions.put("org.apache.sling:org.apache.sling.resourceresolver", 
"1.5.34");
         versions.put("org.apache.sling:org.apache.sling.rewriter", "1.2.2");
         versions.put("org.apache.sling:org.apache.sling.scripting.api", 
"2.2.0");
         versions.put("org.apache.sling:org.apache.sling.scripting.core", 
"2.0.54");
@@ -213,9 +213,9 @@ public class SlingVersionResolver implements 
VersionResolver {
         
versions.put("org.apache.sling:org.apache.sling.scripting.sightly.models.provider",
 "1.0.6");
         versions.put("org.apache.sling:org.apache.sling.scripting.thymeleaf", 
"1.1.0");
         versions.put("org.apache.sling:org.apache.sling.security", "1.1.10");
-        versions.put("org.apache.sling:org.apache.sling.serviceusermapper", 
"1.3.6");
+        versions.put("org.apache.sling:org.apache.sling.serviceusermapper", 
"1.4.0");
         versions.put("org.apache.sling:org.apache.sling.servlets.get", 
"2.1.30");
-        versions.put("org.apache.sling:org.apache.sling.servlets.post", 
"2.3.22");
+        versions.put("org.apache.sling:org.apache.sling.servlets.post", 
"2.3.24");
         versions.put("org.apache.sling:org.apache.sling.servlets.resolver", 
"2.4.22");
         versions.put("org.apache.sling:org.apache.sling.settings", "1.3.8");
         versions.put("org.apache.sling:org.apache.sling.urlrewriter", "0.0.2");

-- 
To stop receiving notification emails like this one, please contact
o...@apache.org.

Reply via email to